ApiManagementTenantsScim
GET
/scim/v2/Users

Authorization

Descope Project ID:Access Key
AuthorizationBearer <token>

Project ID:Access Key as bearer token.

In: header

Query Parameters

filter?string
startIndex?integer
Formatint32
count?integer
Formatint32

Search SCIM users, using a valid access key.

This endpoint allows administrators to search SCIM users. These users have been created and associated to the Application and Descope tenant.

The response includes an array of user objects within the Resources object. These user objects include details about the users including their email, phone, username, name, etc.

It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be associated with the applicable tenant and associated with the tenant admin role.

Next Steps

Once you have user data, you can utilize Update SCIM Group to add or remove the user on groups.

See also

curl -X GET "https://api.descope.com/scim/v2/Users"
{  "totalResults": 0,  "startIndex": 0,  "itemsPerPage": 0,  "schemas": [    "string"  ],  "Resources": [    {      "schemas": [        "string"      ],      "id": "string",      "userName": "string",      "meta": {        "created": {},        "location": "string",        "lastModified": {},        "resourceType": "string"      },      "emails": [        {          "value": "string",          "primary": true,          "type": "string"        }      ],      "name": {        "givenName": "string",        "familyName": "string",        "middleName": "string"      },      "active": true,      "displayName": "string",      "detail": "string",      "attributes": {},      "status": 0    }  ],  "detail": "string",  "status": 0}
export interface Response {totalResults?: numberstartIndex?: numberitemsPerPage?: numberschemas?: string[]Resources?: {schemas?: string[]id?: stringuserName?: stringmeta?: SCIMGetUsersResourceMetaemails?: {value?: stringprimary?: booleantype?: string}[]name?: {givenName?: stringfamilyName?: stringmiddleName?: string}active?: booleandisplayName?: stringdetail?: stringattributes?: {}status?: number}[]detail?: stringstatus?: number}export interface SCIMGetUsersResourceMeta {created?: {}location?: stringlastModified?: {}resourceType?: string}
Was this helpful?